<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-badan-heading" data-cy="BadanCreateUpdateHeading">Create or edit a Badan</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_golonganUsaha">Golongan Usaha</label>
          <input
            type="text"
            class="form-control"
            name="golonganUsaha"
            id="field_golonganUsaha"
            data-cy="golonganUsaha"
            formControlName="golonganUsaha"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jenis">Jenis</label>
          <input type="text" class="form-control" name="jenis" id="field_jenis" data-cy="jenis" formControlName="jenis" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nama">Nama</label>
          <input type="text" class="form-control" name="nama" id="field_nama" data-cy="nama" formControlName="nama" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kedudukan">Kedudukan</label>
          <input type="text" class="form-control" name="kedudukan" id="field_kedudukan" data-cy="kedudukan" formControlName="kedudukan" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noAkta">No Akta</label>
          <input type="text" class="form-control" name="noAkta" id="field_noAkta" data-cy="noAkta" formControlName="noAkta" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglAkta">Tgl Akta</label>
          <div class="input-group">
            <input
              id="field_tglAkta"
              data-cy="tglAkta"
              type="text"
              class="form-control"
              name="tglAkta"
              ngbDatepicker
              #tglAktaDp="ngbDatepicker"
              formControlName="tglAkta"
            />
            <button type="button" class="btn btn-secondary" (click)="tglAktaDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_namaNotaris">Nama Notaris</label>
          <input
            type="text"
            class="form-control"
            name="namaNotaris"
            id="field_namaNotaris"
            data-cy="namaNotaris"
            formControlName="namaNotaris"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_wilKerjaNotaris">Wil Kerja Notaris</label>
          <input
            type="text"
            class="form-control"
            name="wilKerjaNotaris"
            id="field_wilKerjaNotaris"
            data-cy="wilKerjaNotaris"
            formControlName="wilKerjaNotaris"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_skNotaris">Sk Notaris</label>
          <input type="text" class="form-control" name="skNotaris" id="field_skNotaris" data-cy="skNotaris" formControlName="skNotaris" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_alamat">Alamat</label>
          <input type="text" class="form-control" name="alamat" id="field_alamat" data-cy="alamat" formControlName="alamat" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_rt">Rt</label>
          <input type="text" class="form-control" name="rt" id="field_rt" data-cy="rt" formControlName="rt" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_rw">Rw</label>
          <input type="text" class="form-control" name="rw" id="field_rw" data-cy="rw" formControlName="rw" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kelurahan">Kelurahan</label>
          <input type="text" class="form-control" name="kelurahan" id="field_kelurahan" data-cy="kelurahan" formControlName="kelurahan" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kecamatan">Kecamatan</label>
          <input type="text" class="form-control" name="kecamatan" id="field_kecamatan" data-cy="kecamatan" formControlName="kecamatan" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kota">Kota</label>
          <input type="text" class="form-control" name="kota" id="field_kota" data-cy="kota" formControlName="kota" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_provinsi">Provinsi</label>
          <input type="text" class="form-control" name="provinsi" id="field_provinsi" data-cy="provinsi" formControlName="provinsi" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kodePos">Kode Pos</label>
          <input type="text" class="form-control" name="kodePos" id="field_kodePos" data-cy="kodePos" formControlName="kodePos" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noKontak">No Kontak</label>
          <input type="text" class="form-control" name="noKontak" id="field_noKontak" data-cy="noKontak" formControlName="noKontak" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_namaSk">Nama Sk</label>
          <input type="text" class="form-control" name="namaSk" id="field_namaSk" data-cy="namaSk" formControlName="namaSk" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nomorSk">Nomor Sk</label>
          <input type="text" class="form-control" name="nomorSk" id="field_nomorSk" data-cy="nomorSk" formControlName="nomorSk" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglSk">Tgl Sk</label>
          <input type="text" class="form-control" name="tglSk" id="field_tglSk" data-cy="tglSk" formControlName="tglSk" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_npwp">Npwp</label>
          <input type="text" class="form-control" name="npwp" id="field_npwp" data-cy="npwp" formControlName="npwp" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjNama">Pj Nama</label>
          <input type="text" class="form-control" name="pjNama" id="field_pjNama" data-cy="pjNama" formControlName="pjNama" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjJenisKelamin">Pj Jenis Kelamin</label>
          <input
            type="text"
            class="form-control"
            name="pjJenisKelamin"
            id="field_pjJenisKelamin"
            data-cy="pjJenisKelamin"
            formControlName="pjJenisKelamin"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjStatusKawin">Pj Status Kawin</label>
          <input
            type="text"
            class="form-control"
            name="pjStatusKawin"
            id="field_pjStatusKawin"
            data-cy="pjStatusKawin"
            formControlName="pjStatusKawin"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjKelahiran">Pj Kelahiran</label>
          <input
            type="text"
            class="form-control"
            name="pjKelahiran"
            id="field_pjKelahiran"
            data-cy="pjKelahiran"
            formControlName="pjKelahiran"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjTglLahir">Pj Tgl Lahir</label>
          <div class="input-group">
            <input
              id="field_pjTglLahir"
              data-cy="pjTglLahir"
              type="text"
              class="form-control"
              name="pjTglLahir"
              ngbDatepicker
              #pjTglLahirDp="ngbDatepicker"
              formControlName="pjTglLahir"
            />
            <button type="button" class="btn btn-secondary" (click)="pjTglLahirDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjPekerjaan">Pj Pekerjaan</label>
          <input
            type="text"
            class="form-control"
            name="pjPekerjaan"
            id="field_pjPekerjaan"
            data-cy="pjPekerjaan"
            formControlName="pjPekerjaan"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjWargaNegara">Pj Warga Negara</label>
          <input
            type="text"
            class="form-control"
            name="pjWargaNegara"
            id="field_pjWargaNegara"
            data-cy="pjWargaNegara"
            formControlName="pjWargaNegara"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjJenisId">Pj Jenis Id</label>
          <input type="text" class="form-control" name="pjJenisId" id="field_pjJenisId" data-cy="pjJenisId" formControlName="pjJenisId" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjNoId">Pj No Id</label>
          <input type="text" class="form-control" name="pjNoId" id="field_pjNoId" data-cy="pjNoId" formControlName="pjNoId" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjAlamat">Pj Alamat</label>
          <input type="text" class="form-control" name="pjAlamat" id="field_pjAlamat" data-cy="pjAlamat" formControlName="pjAlamat" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjRt">Pj Rt</label>
          <input type="text" class="form-control" name="pjRt" id="field_pjRt" data-cy="pjRt" formControlName="pjRt" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjRw">Pj Rw</label>
          <input type="text" class="form-control" name="pjRw" id="field_pjRw" data-cy="pjRw" formControlName="pjRw" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjKelurahan">Pj Kelurahan</label>
          <input
            type="text"
            class="form-control"
            name="pjKelurahan"
            id="field_pjKelurahan"
            data-cy="pjKelurahan"
            formControlName="pjKelurahan"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjKecamatan">Pj Kecamatan</label>
          <input
            type="text"
            class="form-control"
            name="pjKecamatan"
            id="field_pjKecamatan"
            data-cy="pjKecamatan"
            formControlName="pjKecamatan"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjKota">Pj Kota</label>
          <input type="text" class="form-control" name="pjKota" id="field_pjKota" data-cy="pjKota" formControlName="pjKota" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjProvinsi">Pj Provinsi</label>
          <input
            type="text"
            class="form-control"
            name="pjProvinsi"
            id="field_pjProvinsi"
            data-cy="pjProvinsi"
            formControlName="pjProvinsi"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pjKodePos">Pj Kode Pos</label>
          <input type="text" class="form-control" name="pjKodePos" id="field_pjKodePos" data-cy="pjKodePos" formControlName="pjKodePos" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_template">Template</label>
          <input type="text" class="form-control" name="template" id="field_template" data-cy="template" formControlName="template" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_komparisi">Komparisi</label>
          <input type="text" class="form-control" name="komparisi" id="field_komparisi" data-cy="komparisi" formControlName="komparisi" />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
